# Download prevention alerts

The report offering detailed information on prevention alerts. It provides insights into each alert, including unique identifiers, alert types, amounts, outcomes, and the alert generation timeline.


  The report unloads data based on the date range parameters that corresponds to the date the operation was executed.
  In a successful response, you will be redirected to S3 to download the file.

Endpoint: GET /prevention_alerts/report/{report_id}/download
Version: 1.0.0
Security: MerchantID

## Path parameters:

  - `report_id` (string, required)
    Unique report identifier for download.


  It follows the pattern [report_prefix] [date (yyMMdd)] [time (HHmmss)] [channel name].
    Example: "PREVENT_250702_140728_CHECKOUT"

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `report_url` (string)
        URL for the report stored on Amazon S3, which needs to be downloaded.
        Example: "https://reports.solidgate.com/api/v1/prevention_alerts/report/prev_alert_220504_143924_test/download"
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]


## Response 204 fields

## Response 302 fields

## Response 404 fields

## Response 410 fields
